org.h2.command.ddl

## Class AlterTableDropConstraint

- java.lang.Object
- - org.h2.command.Prepared
  - - org.h2.command.ddl.DefineCommand
    - - org.h2.command.ddl.SchemaCommand
      - - org.h2.command.ddl.AlterTableDropConstraint

    public class AlterTableDropConstraint
    extends SchemaCommand

This class represents the statement ALTER TABLE DROP CONSTRAINT

### Field Summary

### Fields inherited from class org.h2.command.ddl.DefineCommand

`transactional`

### Fields inherited from class org.h2.command.Prepared

`create, parameters, prepareAlways, session, sqlStatement`

### Constructor Summary

Constructors
Constructor and Description
`AlterTableDropConstraint(Session session, Schema schema, boolean ifExists)`

### Method Summary

Methods
`int` `getType()` Get the command type as defined in CommandInterface
`void` `setConstraintName(java.lang.String string)`
`int` `update()` Execute the statement.

### Methods inherited from class org.h2.command.ddl.SchemaCommand

`getSchema`

### Methods inherited from class org.h2.command.ddl.DefineCommand

`isReadOnly, isTransactional, queryMeta, setTransactional`

### Methods inherited from class org.h2.command.Prepared

`checkCanceled, checkParameters, getCteCleanups, getCurrentRowNumber, getObjectId, getParameters, getPersistedObjectId, getPlanSQL, getSession, getSimpleSQL, getSQL, getSQL, isCacheable, isQuery, needRecompile, prepare, query, setCommand, setCteCleanups, setCurrentRowNumber, setParameterList, setPersistedObjectId, setPrepareAlways, setRow, setSession, setSQL, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AlterTableDropConstraint

    public AlterTableDropConstraint(Session session,
                            Schema schema,
                            boolean ifExists)

### Method Detail

#### setConstraintName

    public void setConstraintName(java.lang.String string)

#### update

    public int update()

Description copied from class: `Prepared`
Execute the statement.

Overrides:
  `update` in class `Prepared`
Returns:
  the update count

#### getType

    public int getType()

Description copied from class: `Prepared`
Get the command type as defined in CommandInterface

Specified by:
  `getType` in class `Prepared`
Returns:
  the statement type